Subject: RE: Optical IP activities

From: John Drake <[email-masked]>
Date: Thu, 16 Mar 2000 16:47:37 -0800

Bala,

In the network model proposed in draft-ceuppens-mpls-optical-00.txt, the
DWDM equipment, with its associated line systems, would measure various
optical performance parameters, some of which are suggested in the draft.
There would then be a standardized protocol, perhaps based on LMP
(draft-lang-mpls-lmp-00.txt), which would be used to transfer these
measurements from the DWDM system to the PXC.

The PXC then synthesize these measurements and report them in link state
updates, encoded as new TLVs.  Source nodes, either PXCs if the overlay
model is used, or routers, if the peer model is used, could then take this
information into account when computing routes.  

However, since the source has already computed the route, it doesn't seem as
though signalling has to be modified.

Thanks,

John
-----Original Message-----
From: Bala Rajagopalan [mailto:[email-masked]]
Sent: Thursday, March 16, 2000 3:38 PM
To: Yakov Rekhter
Cc: [email-masked]; [email-masked]
Subject: Re: Optical IP activities

Yakov Rekhter wrote:

> Agreed.
>
> And to address this I would suggest we'll add the following to the
> WG charter:
>
>    Use of MPLS control plane with OXCs should allow two basic
>    architectural options:
>
>     - One option is to use different instances of the control plane
>       in the OTN (OXC) and IP (LSR) domains. In this situation, each
>       instance of the control plane will operate independent of the
>       other.
>
>     - Another option is to use a single instance of the control
>       plane that subsumes and spans LSRs and OXCs.

Given the specific requirements in optical networks (leading to possibly a
different
flavor of signaling procedures), I'm not sure what the "single instance"
model
means.

Regards,
--

Bala Rajagopalan
Tellium, Inc.
2 Crescent Place
P.O. Box 901
Oceanport, NJ 07757-0901
Tel: (732) 923-4237
Fax: (732) 923-9804
Email: [email-masked]

---

From: Bala Rajagopalan <[email-masked]>
Date: Fri, 17 Mar 2000 11:52:45 -0500

Hello:

Looking at all the drafts on RSVP and CRLDP "extensions" for
optical networks, and the issues outlined in draft-rstb-optical-signaling-
framework-00.txt, we already have sufficient reason
to believe that optical networking signaling has many features which
are different from signaling within an IP network. Which is why
the "single instance" model is not very clear to me.

Also, it is possible to export any sort of information from within an
optical cloud to outside, but whether this makes life easier in any
manner is not clear. In fact, my personal preference is a clean interface
between
IP and optical networks while isolating the idiosynchracies of
each. This can still be a peer model with limited information
exchange.

Regards,

Bala

--

Bala Rajagopalan
Tellium, Inc.
2 Crescent Place
P.O. Box 901
Oceanport, NJ 07757-0901
Tel: (732) 923-4237
Fax: (732) 923-9804
Email: [email-masked]

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 17 Mar 2000 09:02:13 -0800

Bala,

> the "single instance" model is not very clear to me.

I have no doubts that if one wants, one could make the signalling
different enough. It is not clear to me why this would be
beneficial to the service providers. 
  
> manner is not clear. 

We clearly have a difference of opinions on this.

Yakov.

---

From: Yangguang Xu <[email-masked]>
Date: Fri, 17 Mar 2000 14:42:46 -0500

Peer and overlay model are not necessarily two different and non-interoperable
approaches. In the pure functional point of view, peer model seems to be better.
However, starting with it may actually make life harder (the old optimal vs. sub
optimal story). In a network as chaotic as what we have today, overlay model is
a good starting point. Meanwhile, with help of gateway functions, it can migrate
into peer model later. 

Yangguang

---

From: Yakov Rekhter <[email-masked]>
Date: Fri, 17 Mar 2000 12:25:51 -0800

Yangguang,

> Peer and overlay model are not necessarily two different and 
> non-interoperable approaches. 

Yes, indeed.

> In the pure functional point of view, peer model seems to be better.

There are numerous tradeoffs between the peer and the overlay models.
The choice between the two is likely to differ from one service provider
to another and will depend on a variety of issues. 

> However, starting with it may actually make life harder (the old optimal vs. 
> suboptimal story). In a network as chaotic as what we have today, overlay 
> model is a good starting point. Meanwhile, with help of gateway functions, 
> it can migrate into peer model later. 

For some service providers overlay model may be a good starting point.
For other service providers peer model may be a good starting point.

Yakov.